Summary: Perl interface to the Amazon Elastic Compute Cloud (EC2)
Name: perl-Net-Amazon-EC2
Version: 0.24
Release: 3%{?dist}
License: GPL+ or Artistic
Group: Development/Libraries
URL: http://search.cpan.org/dist/Net-Amazon-EC2/
Source0: http://search.cpan.org/CPAN/authors/id/M/MA/MALLEN/Net-Amazon-EC2-%{version}.tar.gz


BuildArch: noarch
BuildRequires: perl
BuildRequires: perl(Carp)
BuildRequires: perl(Config)
BuildRequires: perl(Cwd)
BuildRequires: perl(ExtUtils::MM_Unix)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::Manifest)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec)
BuildRequires: perl(FindBin)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
# Run-time:
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Digest::HMAC_SHA1) >= 1.01
BuildRequires: perl(HTTP::Date)
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(MIME::Base64)
BuildRequires: perl(Moose) >= 0.33
BuildRequires: perl(URI)
BuildRequires: perl(Params::Validate)
BuildRequires: perl(XML::Simple) >= 2.18
# Tests:
BuildRequires: perl(blib)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(LWP::Protocol::https)
BuildRequires: perl(CPAN)


Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))


%description
This module provides an interface to the Amazon Elastic Compute Cloud (EC2)


%prep
%setup -q -n Net-Amazon-EC2-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
chmod -R u+w %{buildroot}/*


%check
# Avoid online tests
set AWS_ACCESS_KEY_ID=
set SECRET_ACCESS_KEY=
make test


%files
%doc README
%dir %{perl_vendorlib}/Net
%dir %{perl_vendorlib}/Net/Amazon
%dir %{perl_vendorlib}/Net/Amazon/EC2
%{perl_vendorlib}/Net/Amazon/EC2/Attachment.pm
%{perl_vendorlib}/Net/Amazon/EC2/AvailabilityZoneMessage.pm
%{perl_vendorlib}/Net/Amazon/EC2/AvailabilityZone.pm
%{perl_vendorlib}/Net/Amazon/EC2/BlockDeviceMapping.pm
%{perl_vendorlib}/Net/Amazon/EC2/BundleInstanceResponse.pm
%{perl_vendorlib}/Net/Amazon/EC2/ConfirmProductInstanceResponse.pm
%{perl_vendorlib}/Net/Amazon/EC2/ConsoleOutput.pm
%{perl_vendorlib}/Net/Amazon/EC2/CreateVolumePermission.pm
%{perl_vendorlib}/Net/Amazon/EC2/DescribeAddress.pm
%{perl_vendorlib}/Net/Amazon/EC2/DescribeImageAttribute.pm
%{perl_vendorlib}/Net/Amazon/EC2/DescribeImagesResponse.pm
%{perl_vendorlib}/Net/Amazon/EC2/DescribeInstanceAttributeResponse.pm
%{perl_vendorlib}/Net/Amazon/EC2/DescribeKeyPairsResponse.pm
%{perl_vendorlib}/Net/Amazon/EC2/DescribeTags.pm
%{perl_vendorlib}/Net/Amazon/EC2/EbsBlockDevice.pm
%{perl_vendorlib}/Net/Amazon/EC2/EbsInstanceBlockDeviceMapping.pm
%{perl_vendorlib}/Net/Amazon/EC2/Error.pm
%{perl_vendorlib}/Net/Amazon/EC2/Errors.pm
%{perl_vendorlib}/Net/Amazon/EC2/GroupSet.pm
%{perl_vendorlib}/Net/Amazon/EC2/InstanceBlockDeviceMapping.pm
%{perl_vendorlib}/Net/Amazon/EC2/InstancePassword.pm
%{perl_vendorlib}/Net/Amazon/EC2/InstanceStateChange.pm
%{perl_vendorlib}/Net/Amazon/EC2/InstanceState.pm
%{perl_vendorlib}/Net/Amazon/EC2/IpPermission.pm
%{perl_vendorlib}/Net/Amazon/EC2/IpRange.pm
%{perl_vendorlib}/Net/Amazon/EC2/KeyPair.pm
%{perl_vendorlib}/Net/Amazon/EC2/LaunchPermissionOperation.pm
%{perl_vendorlib}/Net/Amazon/EC2/LaunchPermission.pm
%{perl_vendorlib}/Net/Amazon/EC2/MonitoredInstance.pm
%{perl_vendorlib}/Net/Amazon/EC2/PlacementResponse.pm
%{perl_vendorlib}/Net/Amazon/EC2.pm
%{perl_vendorlib}/Net/Amazon/EC2/ProductCode.pm
%{perl_vendorlib}/Net/Amazon/EC2/ProductInstanceResponse.pm
%{perl_vendorlib}/Net/Amazon/EC2/Region.pm
%{perl_vendorlib}/Net/Amazon/EC2/ReservationInfo.pm
%{perl_vendorlib}/Net/Amazon/EC2/ReservedInstanceOffering.pm
%{perl_vendorlib}/Net/Amazon/EC2/ReservedInstance.pm
%{perl_vendorlib}/Net/Amazon/EC2/RunningInstances.pm
%{perl_vendorlib}/Net/Amazon/EC2/SecurityGroup.pm
%{perl_vendorlib}/Net/Amazon/EC2/SnapshotAttribute.pm
%{perl_vendorlib}/Net/Amazon/EC2/Snapshot.pm
%{perl_vendorlib}/Net/Amazon/EC2/StateReason.pm
%{perl_vendorlib}/Net/Amazon/EC2/TagSet.pm
%{perl_vendorlib}/Net/Amazon/EC2/UserData.pm
%{perl_vendorlib}/Net/Amazon/EC2/UserIdGroupPair.pm
%{perl_vendorlib}/Net/Amazon/EC2/Volume.pm
%{_mandir}/man3/Net::Amazon::EC2.3pm*
%{_mandir}/man3/Net::Amazon::EC2::Attachment.3pm*
%{_mandir}/man3/Net::Amazon::EC2::AvailabilityZone.3pm*
%{_mandir}/man3/Net::Amazon::EC2::AvailabilityZoneMessage.3pm.gz
%{_mandir}/man3/Net::Amazon::EC2::BlockDeviceMapping.3pm*
%{_mandir}/man3/Net::Amazon::EC2::BundleInstanceResponse.3pm.gz
%{_mandir}/man3/Net::Amazon::EC2::ConfirmProductInstanceResponse.3pm*
%{_mandir}/man3/Net::Amazon::EC2::ConsoleOutput.3pm*
%{_mandir}/man3/Net::Amazon::EC2::CreateVolumePermission.3pm.gz
%{_mandir}/man3/Net::Amazon::EC2::DescribeAddress.3pm*
%{_mandir}/man3/Net::Amazon::EC2::DescribeImageAttribute.3pm*
%{_mandir}/man3/Net::Amazon::EC2::DescribeImagesResponse.3pm*
%{_mandir}/man3/Net::Amazon::EC2::DescribeInstanceAttributeResponse.3pm.gz
%{_mandir}/man3/Net::Amazon::EC2::DescribeKeyPairsResponse.3pm*
%{_mandir}/man3/Net::Amazon::EC2::DescribeTags.3pm.gz
%{_mandir}/man3/Net::Amazon::EC2::EbsBlockDevice.3pm.gz
%{_mandir}/man3/Net::Amazon::EC2::EbsInstanceBlockDeviceMapping.3pm.gz
%{_mandir}/man3/Net::Amazon::EC2::Error.3pm*
%{_mandir}/man3/Net::Amazon::EC2::Errors.3pm*
%{_mandir}/man3/Net::Amazon::EC2::GroupSet.3pm*
%{_mandir}/man3/Net::Amazon::EC2::InstanceBlockDeviceMapping.3pm.gz
%{_mandir}/man3/Net::Amazon::EC2::InstancePassword.3pm.gz
%{_mandir}/man3/Net::Amazon::EC2::InstanceState.3pm*
%{_mandir}/man3/Net::Amazon::EC2::InstanceStateChange.3pm.gz
%{_mandir}/man3/Net::Amazon::EC2::IpPermission.3pm*
%{_mandir}/man3/Net::Amazon::EC2::IpRange.3pm*
%{_mandir}/man3/Net::Amazon::EC2::KeyPair.3pm*
%{_mandir}/man3/Net::Amazon::EC2::LaunchPermission.3pm*
%{_mandir}/man3/Net::Amazon::EC2::LaunchPermissionOperation.3pm*
%{_mandir}/man3/Net::Amazon::EC2::MonitoredInstance.3pm.gz
%{_mandir}/man3/Net::Amazon::EC2::PlacementResponse.3pm*
%{_mandir}/man3/Net::Amazon::EC2::ProductCode.3pm*
%{_mandir}/man3/Net::Amazon::EC2::ProductInstanceResponse.3pm*
%{_mandir}/man3/Net::Amazon::EC2::Region.3pm.gz
%{_mandir}/man3/Net::Amazon::EC2::ReservationInfo.3pm*
%{_mandir}/man3/Net::Amazon::EC2::ReservedInstance.3pm.gz
%{_mandir}/man3/Net::Amazon::EC2::ReservedInstanceOffering.3pm.gz
%{_mandir}/man3/Net::Amazon::EC2::RunningInstances.3pm*
%{_mandir}/man3/Net::Amazon::EC2::SecurityGroup.3pm*
%{_mandir}/man3/Net::Amazon::EC2::Snapshot.3pm*
%{_mandir}/man3/Net::Amazon::EC2::SnapshotAttribute.3pm.gz
%{_mandir}/man3/Net::Amazon::EC2::StateReason.3pm.gz
%{_mandir}/man3/Net::Amazon::EC2::TagSet.3pm.gz
%{_mandir}/man3/Net::Amazon::EC2::UserData.3pm*
%{_mandir}/man3/Net::Amazon::EC2::UserIdGroupPair.3pm*
%{_mandir}/man3/Net::Amazon::EC2::Volume.3pm*
# Some Macintosh junk
%exclude %{perl_vendorlib}/Net/Amazon/._EC2.pm


%changelog
* Mon Sep 01 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.24-3
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.24-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Jan 10 2014 Lubomir Rintel <lkundrak@v3.sk> - 0.24-1
- Update to a later upstream release

* Mon Oct 28 2013 Lubomir Rintel <lkundrak@v3.sk> - 0.23-1
- Update to a later upstream release

* Thu Oct 24 2013 Lubomir Rintel <lkundrak@v3.sk> - 0.14-12
- Bulk sad and useless attempt at consistent SPEC file formatting

* Fri Aug 02 2013 Petr Pisar <ppisar@redhat.com> - 0.14-11
- Perl 5.18 rebuild
- Specify all dependencies

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.14-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.14-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jun 22 2012 Petr Pisar <ppisar@redhat.com> - 0.14-8
- Perl 5.16 rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.14-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Jul 21 2011 Petr Sabata <contyk@redhat.com> - 0.14-6
- Perl mass rebuild

* Wed Jul 20 2011 Petr Sabata <contyk@redhat.com> - 0.14-5
- Perl mass rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.14-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec 21 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.14-3
- 661697 rebuild for fixing problems with vendorach/lib

* Tue May 04 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.14-2
- Mass rebuild with perl-5.12.0

* Fri Feb 05 2010 Lubomir Rintel <lkundrak@v3.sk> - 0.14-1
- Rebase to a later upstream release

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.09-4
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.09-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.09-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Oct 15 2008  Lubomir Rintel <lkundrak@v3.sk> - 0.09-1
- New upstream release

* Tue Mar 11 2008  Robert Rati <rrati@redhat> - 0.06-2
- Package now owns all files/directories from Net on down
  to conform to packaging standards

* Thu Mar  6 2008  Robert Rati <rrati@redhat> - 0.06-1
- Initial release
